
Installer - Feature #30023

Add Pulp 3 RPM support to puppet-katello

06/04/2020 08:15 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version: 2.1.0   

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-kat

ello/pull/350,

https://github.com/theforeman/puppet-kat

ello/pull/349,

https://github.com/theforeman/puppet-kat

ello/pull/347,

https://github.com/theforeman/foreman-i

nstaller/pull/519,

https://github.com/theforeman/foreman-i

nstaller/pull/516,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/261

  

Description

Associated revisions

Revision b88a1a83 - 06/08/2020 12:52 PM - William Clark

Refs #30023 - don't use pulp3 for rpm content on upgrades (#516)

Revision 888c06b0 - 06/08/2020 12:52 PM - Eric Helms

Refs #30023: Enable Pulpcore RPM plugin (#261)

Revision 6e4719a0 - 06/08/2020 01:01 PM - Eric Helms

Fixes #30023: Add Katello config for Pulp 3 RPM

Revision cabe59a2 - 06/08/2020 05:40 PM - Justin Sherrill

Refs #30023 - Enable katello_applicability based on yum support

Revision ae74948f - 06/11/2020 11:16 PM - William Clark

Refs #30023 - don't proxy pulp yum to pulpcore on upgrades

History

#1 - 06/04/2020 08:25 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-katello/pull/347 added

#2 - 06/04/2020 08:26 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/261 added

#3 - 06/04/2020 10:27 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/516 added
#4 - 06/08/2020 01:01 PM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#5 - 06/08/2020 02:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-katello|6e4719a09c2bbe0ec72e67a29c558a8db844e047.

#6 - 06/08/2020 04:16 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-katello/pull/350 added

#7 - 06/08/2020 05:21 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-katello/pull/349 added

#8 - 06/11/2020 10:20 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/519 added

#9 - 06/24/2020 12:46 PM - Justin Sherrill

- Target version set to 2.1.0

#10 - 07/01/2020 12:26 PM - Ewoud Kohl van Wijngaarden

- Pull request deleted (https://github.com/theforeman/foreman-installer/pull/516,

https://github.com/theforeman/puppet-foreman_proxy_content/pull/261, https://github.com/theforeman/foreman-installer/pull/519,

https://github.com/theforeman/puppet-katello/pull/347, https://github.com/theforeman/puppet-katello/pull/349,

https://github.com/theforeman/puppet-katello/pull/350)

- Fixed in Releases 2.1.0 added

- Fixed in Releases deleted (2.2.0)

#11 - 07/01/2020 12:33 PM - Tomer Brisker

- Pull request https://github.com/theforeman/puppet-katello/pull/350, https://github.com/theforeman/puppet-katello/pull/349 added

#12 - 07/01/2020 12:34 PM - Tomer Brisker

- Pull request https://github.com/theforeman/puppet-katello/pull/347 added

#13 - 07/01/2020 12:34 PM - Tomer Brisker

- Pull request https://github.com/theforeman/foreman-installer/pull/519 added

#14 - 07/01/2020 12:35 PM - Tomer Brisker

- Pull request https://github.com/theforeman/foreman-installer/pull/516, https://github.com/theforeman/puppet-foreman_proxy_content/pull/261 added
